Summary: An utility for finding files by name
Name: mlocate
Version: 0.26
Release: 5%{?dist}
License: GPLv2
URL: https://pagure.io/mlocate/releases
Source0: https://releases.pagure.org/mlocate/mlocate-%{version}.tar.xz
Source1: updatedb.conf
Source2: mlocate-run-updatedb
Source3: mlocate-updatedb.service
Source4: mlocate-updatedb.timer

BuildRequires: make gcc
BuildRequires: systemd-rpm-macros
Requires(pre): shadow-utils
Requires(post): grep, sed
Provides: bundled(gnulib)
Provides: locate
Conflicts: plocate

%description
mlocate which keeps a database of all existing files and allows you to lookup files by name, 
is a locate/updatedb implementation.
The 'm' stands for "merging": updatedb reuses the existing database to avoid rereading most 
of the file system and get a faster update speed.

%prep
%autosetup

%build
%configure --localstatedir=%{_localstatedir}/lib
%make_build groupname=slocate

%install
%make_install groupname=slocate

mkdir -p %{buildroot}{%{_sysconfdir},/etc/cron.daily}
install -p -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/updatedb.conf
install -D -p -m 750 %{SOURCE2} %{buildroot}%{_libexecdir}/mlocate-run-updatedb
install -D -p -m 644 %{SOURCE3} %{buildroot}%{_unitdir}/mlocate-updatedb.service
install -D -p -m 644 %{SOURCE4} %{buildroot}%{_unitdir}/mlocate-updatedb.timer

# %%ghost file
touch %{buildroot}%{_localstatedir}/lib/mlocate/mlocate.db

%find_lang mlocate

%pre
getent group slocate >/dev/null || groupadd -g 21 -r -f slocate
exit 0

%post
if /bin/grep -q '^[^#]*DAILY_UPDATE' %{_sysconfdir}/updatedb.conf; then
    /bin/sed -i.rpmsave -e '/DAILY_UPDATE/s/^/#/' %{_sysconfdir}/updatedb.conf
fi
# Can't use the ostree-booted file to identy Silverblue - see
# https://github.com/fedora-silverblue/issue-tracker/issues/76#issuecomment-714562564
. /etc/os-release || exit
if [ "$VARIANT_ID" = "silverblue" ] || [ -f /run/ostree-booted ]; then
  if /bin/grep -q '^[^#]*PRUNE_BIND_MOUNTS' %{_sysconfdir}/updatedb.conf; then
      /bin/sed -i.rpmsave -e '/PRUNE_BIND_MOUNTS/s/^/#/' %{_sysconfdir}/updatedb.conf
  fi
fi

%systemd_post mlocate-updatedb.timer
if [ -x /usr/bin/systemctl ]; then
    /usr/bin/systemctl start mlocate-updatedb.timer
fi

%preun
%systemd_preun mlocate-updatedb.timer

%postun
%systemd_postun_with_restart mlocate-updatedb.timer

%triggerin -- %{name} < 0.26-11
if [ -x /usr/bin/systemctl ]; then
    /usr/bin/systemctl start mlocate-updatedb.timer
fi

%files -f mlocate.lang
%license COPYING
%doc AUTHORS NEWS README
%config(noreplace) %{_sysconfdir}/updatedb.conf
%attr(2711,root,slocate) %{_bindir}/locate
%dir %attr(0750,root,slocate) %{_localstatedir}/lib/mlocate
%ghost %attr(0640,root,slocate) %{_localstatedir}/lib/mlocate/mlocate.db
%{_unitdir}/mlocate-updatedb.service
%{_unitdir}/mlocate-updatedb.timer
%{_libexecdir}/mlocate-run-updatedb
%{_bindir}/updatedb
%{_mandir}/man*/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.26-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.26-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.26-3
- Rebuilt for OpenCloudOS Stream 23

* Tue Feb 7 2023 Wang Guodong <gordonwwang@tencent.com> - 0.26-2
- update url.

* Fri Nov 18 2022 Wang Guodong <gordonwwang@tencent.com> - 0.26-1
- package init.
